Debian Bug report logs - #672160
console-setup: unowned files after purge (policy 6.8, 10.8)

version graph

Package: console-setup; Maintainer for console-setup is Debian Install System Team <debian-boot@lists.debian.org>; Source for console-setup is src:console-setup.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Tue, 8 May 2012 22:03:01 UTC

Severity: important

Found in versions console-setup/1.80, console-setup/1.86, console-setup/1.102, console-setup/1.95, console-setup/1.81, console-setup/1.100, console-setup/1.76, console-setup/1.88, console-setup/1.94, console-setup/1.82, console-setup/1.87, console-setup/1.79, console-setup/1.85, console-setup/1.103, console-setup/1.98, console-setup/1.84, console-setup/1.77, console-setup/1.83, console-setup/1.89, console-setup/1.78, console-setup/1.99, console-setup/1.92, console-setup/1.104, console-setup/1.90, console-setup/1.93

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Tue, 08 May 2012 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 08 May 2012 22:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: console-setup: unowned files after purge (policy 6.8, 10.8)
Date: Tue, 08 May 2012 23:58:12 +0200
[Message part 1 (text/plain, inline)]
Package: console-setup
Version: 1.76
Severity: important
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package left unowned files on
the system after purge, which is a violation of policy 6.8 (or 10.8):

http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails

Filing this as important as having a piuparts clean archive is a release
goal since lenny.

>From the attached log (scroll to the bottom...):

0m26.6s ERROR: FAIL: Package purging left files on system:
  /etc/console-setup/	 owned by: console-setup-linux
  /etc/console-setup/ISO-8859-15.acm.gz	 not owned
  /etc/console-setup/Lat15-Fixed16.psf.gz	 not owned
  /etc/console-setup/cached_ISO-8859-15_del.kmap.gz	 not owned


cheers,

Andreas
[console-setup_1.76.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Wed, 09 May 2012 16:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 09 May 2012 16:33:11 GMT) Full text and rfc822 format available.

Message #10 received at 672160@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Andreas Beckmann <debian@abeckmann.de>, 672160@bugs.debian.org
Subject: Re: Bug#672160: console-setup: unowned files after purge (policy 6.8, 10.8)
Date: Wed, 9 May 2012 18:58:11 +0300
On Tue, May 08, 2012 at 11:58:12PM +0200, Andreas Beckmann wrote:
> 
> during a test with piuparts I noticed your package left unowned files on
> the system after purge, which is a violation of policy 6.8 (or 10.8):
> 
> 0m26.6s ERROR: FAIL: Package purging left files on system:
>   /etc/console-setup/	 owned by: console-setup-linux
>   /etc/console-setup/ISO-8859-15.acm.gz	 not owned
>   /etc/console-setup/Lat15-Fixed16.psf.gz	 not owned
>   /etc/console-setup/cached_ISO-8859-15_del.kmap.gz	 not owned

I don't know how I can fix this.  There is no way to tell whether a file 
in /etc/console-setup has been created by console-setup or it is some 
unrelated font or keyboard file put there by the admin.  (The file names 
are not entirely predictable.)

What about about a README inside /etc/console-setup to warn the admin 
that any font or keyboard file in this directory may be removed when 
console-setup or console-setup-mini are purged?

Notice that the files left in /etc/console-setup are not configuration 
files.  They are put there because console-setup uses the directory 
/etc/console-setup as if it were /var/lib/console-setup.  The problem is 
that console-setup needs access to a directory similar to /var at time 
when /var is not yet mounted.  BTW, this is also a policy violation with 
no solution at the moment.  If console-setup used a directory in /var 
then it would be more or less safe to remove it.  Now, when it is in 
/etc there could be some files put there by the admin and we are not 
permitted to remove such files.

There is another problem related to this bug report.  Consider the 
following scenario:

1. The sistem uses console-setup
2. console-setup is removed (not purged)
3. console-setup-mini is installed
Now console-setup-mini uses the files in /etc/console-setup put there by 
console-setup.
4. console-setup is purged (and the files currently used by 
   console-setup-mini are removed).

This problem is not serious because both console-setup and 
console-setup-mini are able to automatically recreate any removed files 
in /etc/console-setup (theoretically problems could arise only during 
the first reboot if fsck failed at time when /usr was not yet mounted).

Anton Zinoviev





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Wed, 09 May 2012 16:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 09 May 2012 16:57:10 GMT) Full text and rfc822 format available.

Message #15 received at 672160@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: 672160@bugs.debian.org
Subject: Re: Bug#672160: console-setup: unowned files after purge (policy 6.8, 10.8)
Date: Wed, 09 May 2012 18:55:56 +0200
On 2012-05-09 17:58, Anton Zinoviev wrote:
> I don't know how I can fix this.  There is no way to tell whether a file 
> in /etc/console-setup has been created by console-setup or it is some 
> unrelated font or keyboard file put there by the admin.  (The file names 
[...]

OK, that sounds difficult to fix ...
We can add /etc/console-setup/*.gz to the ignore list in piuparts and
you can mark this bug as wontfix.

Andreas




Added indication that 672160 affects console-setup-mini Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 10 May 2012 16:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Thu, 10 May 2012 16:36:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 May 2012 16:36:11 GMT) Full text and rfc822 format available.

Message #22 received at 672160@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 672160@bugs.debian.org
Subject: Re: Bug#672160: console-setup: unowned files after purge (policy 6.8, 10.8)
Date: Thu, 10 May 2012 19:34:20 +0300
On Wed, May 09, 2012 at 06:55:56PM +0200, Andreas Beckmann wrote:
> On 2012-05-09 17:58, Anton Zinoviev wrote:
> > I don't know how I can fix this.  There is no way to tell whether a file 
> > in /etc/console-setup has been created by console-setup or it is some 
> > unrelated font or keyboard file put there by the admin.  (The file names 
> [...]
> 
> OK, that sounds difficult to fix ...
> We can add /etc/console-setup/*.gz to the ignore list in piuparts and
> you can mark this bug as wontfix.

Well, it is not wontfix, becase I want to fix it. :)

Right now I am considering one possible solution.  Instead of creating 
files directly in /etc/console-setup, the package can put the files in 
/etc/console-setup/.cache Then it will be possible to remove this 
directory when the package is purged or even only removed.  There could 
be a file /etc/console-setup/.cache/README to explain the purpose of 
this directory and to warn the admin that the package is free to remove 
or overwrite at any time any files in this directory.

Perhaps an even better alternative is to use a directory 
/boot/console-setup.  I am going to ask in debian-devel for suggestions.

Anton Zinovivev





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Thu, 10 May 2012 16:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 May 2012 16:45:11 GMT) Full text and rfc822 format available.

Message #27 received at 672160@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: debian-devel@lists.debian.org
Cc: 672160@bugs.debian.org
Subject: Directory /boot/console-setup
Date: Thu, 10 May 2012 19:43:46 +0300
[Please preserve the CC to 672160@bugs.debian.org because I am not 
subscribed to debian-devel.]

First the problem in few words.  The package console-setup needs an 
access to a directory similar to /var very early during the boot process 
- when /var is not yet mounted.  Currently it creates files in the 
directory /etc/console-setup.  As a result when the package is purged it 
is impossible to tell which files in /etc/console-setup are 
automatically generated (so they have to be removed) and which are put 
there by the admin (so we are not permitted to remove them).

One possible solution is to generate the files in a directory named 
/etc/console-setup/.cache and to put a file /etc/console-setup/.cache/README
explaining the purpose of this directory and warning the admin that the 
package is free to remove or overwrite at any time any files in this 
directory.

Please don't complain that this is a policy violation. :) I think at the 
moment there is no solution of the problem without policy violation and 
the packages kbd, console-tools and console-setup have been happily 
doing policy violations regarding /etc since the very first version of 
Debian.

The second solution I propose is to generate the files in a directory 
/boot/console-setup.  After all the whole need of such directory arises 
due to the specifics of the boot process.

Personally, I think I prefer /boot to /etc.

Some additional info: most of the time the package requires only 
read-only access to this directory.  Write-access is required only in 
the following occasions:

1. when the admin is dpkg-reconfiguring the package
2. during the first reboot (but not too early in the boot process) if 
the admin has edited the configuration files of console-setup by hand 
and he has not used the command "setupcon --save"
3. when the admin uses the command "setupcon --save"

Anton Zinoviev






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Thu, 10 May 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 May 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #32 received at 672160@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: debian-devel@lists.debian.org, 672160@bugs.debian.org
Subject: Re: Directory /boot/console-setup
Date: Thu, 10 May 2012 18:45:18 +0100
On Thu, May 10, 2012 at 07:43:46PM +0300, Anton Zinoviev wrote:
> [Please preserve the CC to 672160@bugs.debian.org because I am not 
> subscribed to debian-devel.]
> 
> First the problem in few words.  The package console-setup needs an 
> access to a directory similar to /var very early during the boot process 
> - when /var is not yet mounted.  Currently it creates files in the 
> directory /etc/console-setup.

We created /run for exactly this purpose.  Create /run/console-setup
and put what you need inside there.  You'll need to follow the
advice in http://wiki.debian.org/ReleaseGoals/RunDirectory .
You basically just need to have a Depends on
initscripts (>= 2.88dsf-13.3) and you're good to go.  Don't store
megabytes of data in here though, since it's stored in virtual
memory on most systems.


Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Thu, 10 May 2012 17:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 May 2012 17:48:04 GMT) Full text and rfc822 format available.

Message #37 received at 672160@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: 672160@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#672160: Directory /boot/console-setup
Date: Thu, 10 May 2012 19:45:21 +0200
On 2012-05-10 18:43 +0200, Anton Zinoviev wrote:

> [Please preserve the CC to 672160@bugs.debian.org because I am not 
> subscribed to debian-devel.]
>
> First the problem in few words.  The package console-setup needs an 
> access to a directory similar to /var very early during the boot process 
> - when /var is not yet mounted.  Currently it creates files in the 
> directory /etc/console-setup.  As a result when the package is purged it 
> is impossible to tell which files in /etc/console-setup are 
> automatically generated (so they have to be removed) and which are put 
> there by the admin (so we are not permitted to remove them).
>
> One possible solution is to generate the files in a directory named 
> /etc/console-setup/.cache and to put a file /etc/console-setup/.cache/README
> explaining the purpose of this directory and warning the admin that the 
> package is free to remove or overwrite at any time any files in this 
> directory.
>
> Please don't complain that this is a policy violation. :) I think at the 
> moment there is no solution of the problem without policy violation and 
> the packages kbd, console-tools and console-setup have been happily 
> doing policy violations regarding /etc since the very first version of 
> Debian.
>
> The second solution I propose is to generate the files in a directory 
> /boot/console-setup.  After all the whole need of such directory arises 
> due to the specifics of the boot process.

Maybe I'm missing something obvious, but /boot seems to be a very bad
choice for the location, simply because it is not available any earlier
than /var.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Thu, 10 May 2012 17:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 May 2012 17:57:08 GMT) Full text and rfc822 format available.

Message #42 received at 672160@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Roger Leigh <rleigh@codelibre.net>
Cc: Anton Zinoviev <anton@lml.bas.bg>, debian-devel@lists.debian.org, 672160@bugs.debian.org
Subject: Re: Directory /boot/console-setup
Date: Thu, 10 May 2012 19:55:27 +0200
On 2012-05-10 19:45 +0200, Roger Leigh wrote:

> On Thu, May 10, 2012 at 07:43:46PM +0300, Anton Zinoviev wrote:
>> [Please preserve the CC to 672160@bugs.debian.org because I am not 
>> subscribed to debian-devel.]
>> 
>> First the problem in few words.  The package console-setup needs an 
>> access to a directory similar to /var very early during the boot process 
>> - when /var is not yet mounted.  Currently it creates files in the 
>> directory /etc/console-setup.
>
> We created /run for exactly this purpose.  Create /run/console-setup
> and put what you need inside there.

AIUI the data is not volatile, and it needs to be read early in the boot
process, that's why /var was not suitable.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Thu, 10 May 2012 20:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 May 2012 20:00:03 GMT) Full text and rfc822 format available.

Message #47 received at 672160@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: 672160@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#672160: Directory /boot/console-setup
Date: Thu, 10 May 2012 22:13:39 +0300
On Thu, May 10, 2012 at 07:45:21PM +0200, Sven Joachim wrote:
> 
> Maybe I'm missing something obvious, but /boot seems to be a very bad
> choice for the location, simply because it is not available any earlier
> than /var.

Ah, you are right.

So it seems only /etc is an option. Thanks.

Anton Zinoviev





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Thu, 10 May 2012 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 May 2012 20:45:05 GMT) Full text and rfc822 format available.

Message #52 received at 672160@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: 672160@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#672160: Directory /boot/console-setup
Date: Thu, 10 May 2012 21:40:23 +0100
On Thu, May 10, 2012 at 10:13:39PM +0300, Anton Zinoviev wrote:
> On Thu, May 10, 2012 at 07:45:21PM +0200, Sven Joachim wrote:
> > 
> > Maybe I'm missing something obvious, but /boot seems to be a very bad
> > choice for the location, simply because it is not available any earlier
> > than /var.
> 
> Ah, you are right.
> 
> So it seems only /etc is an option. Thanks.

Generally the console has to work even before root is mounted, so
that the user can enter a decryption password if necessary.

What is it that needs to be done before other filesystems are
mounted, but not before root is mounted?

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Thu, 10 May 2012 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 May 2012 21:21:04 GMT) Full text and rfc822 format available.

Message #57 received at 672160@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: 672160@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#672160: Directory /boot/console-setup
Date: Fri, 11 May 2012 00:16:03 +0300
On Thu, May 10, 2012 at 09:40:23PM +0100, Ben Hutchings wrote:
> 
> Generally the console has to work even before root is mounted, so
> that the user can enter a decryption password if necessary.

Unfortunately, as far as I know currently this doesn't work in 
Debian.  Proper wishlist bug reports have been filled but we 
haven't come yet to a solution that is good for all developers.

Anyway, we may not expect that all initrd images are able to 
configure the console.
 
> What is it that needs to be done before other filesystems are
> mounted, but not before root is mounted?

At least the keyboard has to be configured before fsck runs.

Anton Zinoviev





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Thu, 10 May 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 May 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #62 received at 672160@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: debian-devel@lists.debian.org, 672160@bugs.debian.org
Subject: Re: Directory /boot/console-setup
Date: Thu, 10 May 2012 14:54:16 -0700
[Message part 1 (text/plain, inline)]
On Thu, May 10, 2012 at 07:43:46PM +0300, Anton Zinoviev wrote:
> First the problem in few words.  The package console-setup needs an 
> access to a directory similar to /var very early during the boot process 
> - when /var is not yet mounted.  Currently it creates files in the 
> directory /etc/console-setup.  As a result when the package is purged it 
> is impossible to tell which files in /etc/console-setup are 
> automatically generated (so they have to be removed) and which are put 
> there by the admin (so we are not permitted to remove them).

I think your premise here is false.  The /etc/console-setup directory is
owned by the console-setup package; there are certain predictable filenames
that will have been created by the package; and any files in this directory
are configuration files for console-setup, whether created by the admin
manually or created by the package.

So it's perfectly permissible under policy for the package to remove these
files on purge.

> One possible solution is to generate the files in a directory named 
> /etc/console-setup/.cache and to put a file /etc/console-setup/.cache/README
> explaining the purpose of this directory and warning the admin that the 
> package is free to remove or overwrite at any time any files in this 
> directory.

> Please don't complain that this is a policy violation. :) I think at the 
> moment there is no solution of the problem without policy violation and 
> the packages kbd, console-tools and console-setup have been happily 
> doing policy violations regarding /etc since the very first version of 
> Debian.

My complaint is that this is excessively ugly.  For persistent variable data
that needs to be available during early boot, even when this is binary data
that the user won't edit, /etc is the normal place to keep it - it's the
creation of a a .cache subdirectory that I object to.

> The second solution I propose is to generate the files in a directory 
> /boot/console-setup.  After all the whole need of such directory arises 
> due to the specifics of the boot process.

> Personally, I think I prefer /boot to /etc.

Not useful for reasons already discussed.
> 
> Some additional info: most of the time the package requires only 
> read-only access to this directory.  Write-access is required only in 
> the following occasions:

> 1. when the admin is dpkg-reconfiguring the package
> 2. during the first reboot (but not too early in the boot process) if 
> the admin has edited the configuration files of console-setup by hand 
> and he has not used the command "setupcon --save"
> 3. when the admin uses the command "setupcon --save"

Yep, which makes this entirely consistent with storage on the rootfs,
including when the rootfs is read-only by default, and /etc the right place
to put the data.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Fri, 11 May 2012 07:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 11 May 2012 07:12:05 GMT) Full text and rfc822 format available.

Message #67 received at 672160@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: debian-devel@lists.debian.org, 672160@bugs.debian.org
Subject: Re: Directory /boot/console-setup
Date: Fri, 11 May 2012 09:07:57 +0200
]] Steve Langasek 

> My complaint is that this is excessively ugly.  For persistent variable data
> that needs to be available during early boot, even when this is binary data
> that the user won't edit, /etc is the normal place to keep it - it's the
> creation of a a .cache subdirectory that I object to.

Very strongly agreed, if we could outright ban using dot directories in
packages for anything packaged (except dotfiles in people's ~, which
should generally not be something that the packaging cares about), I
think that would be a good idea.

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Sat, 12 May 2012 11:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 12 May 2012 11:27:06 GMT) Full text and rfc822 format available.

Message #72 received at 672160@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: 672160@bugs.debian.org
Subject: Fw: Re: Bug#672160: Directory /boot/console-setup
Date: Sat, 12 May 2012 14:25:17 +0300
Yves-Alexis Perez wrote on debian-devel:

> On ven., 2012-05-11 at 00:16 +0300, Anton Zinoviev wrote:
>> On Thu, May 10, 2012 at 09:40:23PM +0100, Ben Hutchings wrote:
>>> 
>>> Generally the console has to work even before root is mounted, so
>>> that the user can enter a decryption password if necessary.
>> 
>> Unfortunately, as far as I know currently this doesn't work in 
>> Debian.  Proper wishlist bug reports have been filled but we 
>> haven't come yet to a solution that is good for all developers. 

> What do you mean with “this doesn't work in Debian”? Some people do use
> encrypted root and they do have a working console asking for the
> passphrase.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Sat, 12 May 2012 12:07:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 12 May 2012 12:07:27 GMT) Full text and rfc822 format available.

Message #77 received at 672160@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: debian-devel@lists.debian.org, 672160@bugs.debian.org
Subject: Re: Directory /boot/console-setup
Date: Sat, 12 May 2012 15:04:31 +0300
On Fri, May 11, 2012 at 09:07:57AM +0200, Tollef Fog Heen wrote:
> ]] Steve Langasek 
> 
> > My complaint is that this is excessively ugly.  For persistent variable data
> > that needs to be available during early boot, even when this is binary data
> > that the user won't edit, /etc is the normal place to keep it - it's the
> > creation of a a .cache subdirectory that I object to.
> 
> Very strongly agreed, if we could outright ban using dot directories

Ok, then it will be /etc/console-setup/cache (no dot).

On Thu, May 10, 2012 at 02:54:16PM -0700, Steve Langasek wrote:
> On Thu, May 10, 2012 at 07:43:46PM +0300, Anton Zinoviev wrote:
> > Currently it creates files in the directory /etc/console-setup.  As 
> > a result when the package is purged it is impossible to tell which 
> > files in /etc/console-setup are automatically generated (so they 
> > have to be removed) and which are put there by the admin (so we are 
> > not permitted to remove them).
> 
> I think your premise here is false.  The /etc/console-setup directory is
> owned by the console-setup package; there are certain predictable filenames

The file names are not predictable unless one has acces to all previous 
versions of the configuration files.  But even if they were predictable 
we would need MD5 or other hash to be sure the files have not be 
modified somehow by the admin.

Yves-Alexis Perez wrote on debian-devel:
> 
> What do you mean with В“this doesn't work in DebianВ”? Some people do use
> encrypted root and they do have a working console asking for the
> passphrase.

As far as I know currently the console works with default settings, 
meaning the keyboard is standard US-QWERTY layout.

Anton Zinoviev






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Sat, 12 May 2012 14:03:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 12 May 2012 14:04:00 GMT) Full text and rfc822 format available.

Message #82 received at 672160@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: debian-devel@lists.debian.org
Cc: 672160@bugs.debian.org
Subject: Re: Directory /boot/console-setup
Date: Sat, 12 May 2012 07:01:20 -0700
[Message part 1 (text/plain, inline)]
On Sat, May 12, 2012 at 03:04:31PM +0300, Anton Zinoviev wrote:
> On Thu, May 10, 2012 at 02:54:16PM -0700, Steve Langasek wrote:
> > On Thu, May 10, 2012 at 07:43:46PM +0300, Anton Zinoviev wrote:
> > > Currently it creates files in the directory /etc/console-setup.  As 
> > > a result when the package is purged it is impossible to tell which 
> > > files in /etc/console-setup are automatically generated (so they 
> > > have to be removed) and which are put there by the admin (so we are 
> > > not permitted to remove them).

> > I think your premise here is false.  The /etc/console-setup directory is
> > owned by the console-setup package; there are certain predictable filenames

> The file names are not predictable unless one has acces to all previous 
> versions of the configuration files.  But even if they were predictable 
> we would need MD5 or other hash to be sure the files have not be 
> modified somehow by the admin.

No, you absolutely do *not* need this.  The policy rule isn't "on purge,
remove all config files if the admin hasn't edited them", it's "on purge,
remove *all configuration files*".

This "cache" subdirectory is pointless complexity.  The existing rm -rf
behavior is appropriate.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Sat, 12 May 2012 17:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 12 May 2012 17:06:09 GMT) Full text and rfc822 format available.

Message #87 received at 672160@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: debian-devel@lists.debian.org, 672160@bugs.debian.org
Subject: Re: Bug#672160: Directory /boot/console-setup
Date: Sat, 12 May 2012 20:04:15 +0300
On Sat, May 12, 2012 at 07:01:20AM -0700, Steve Langasek wrote:
> 
> No, you absolutely do *not* need this.  The policy rule isn't "on purge,
> remove all config files if the admin hasn't edited them", it's "on purge,
> remove *all configuration files*".

All configuration files owned by the package.  There is no way to tell 
whether a file in /etc/console-setup is owned by the package console-setup
or it has been put there by the admin and is unrelated to console-setup.

Anton Zinoviev





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Sat, 12 May 2012 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 12 May 2012 19:57:04 GMT) Full text and rfc822 format available.

Message #92 received at 672160@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: debian-devel@lists.debian.org, 672160@bugs.debian.org
Subject: Re: Bug#672160: Directory /boot/console-setup
Date: Sat, 12 May 2012 12:53:37 -0700
[Message part 1 (text/plain, inline)]
On Sat, May 12, 2012 at 08:04:15PM +0300, Anton Zinoviev wrote:
> On Sat, May 12, 2012 at 07:01:20AM -0700, Steve Langasek wrote:

> > No, you absolutely do *not* need this.  The policy rule isn't "on purge,
> > remove all config files if the admin hasn't edited them", it's "on purge,
> > remove *all configuration files*".

> All configuration files owned by the package.

This is not an interesting distinction.

> There is no way to tell whether a file in /etc/console-setup is owned by
> the package console-setup or it has been put there by the admin and is
> unrelated to console-setup.

Who cares?  If the admin is putting files in a directory named
"/etc/console-setup" that are *unrelated to console-setup*, there's no
reason to coddle them by making the console-setup's maintainer scripts more
complex.

And most package maintainers have not bothered to implement such handling. 
So an admin who hasn't yet learned the lesson to not put random files in
unrelated directories under /etc will have plenty of opportunities to learn
it before purging such a basic package as console-setup.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Sat, 12 May 2012 20:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 12 May 2012 20:15:05 GMT) Full text and rfc822 format available.

Message #97 received at 672160@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: Steve Langasek <vorlon@debian.org>
Cc: Anton Zinoviev <anton@lml.bas.bg>, 672160@bugs.debian.org
Subject: Re: Bug#672160: Directory /boot/console-setup
Date: Sat, 12 May 2012 23:13:28 +0300
2012/5/12 Steve Langasek <vorlon@debian.org>:
>> There is no way to tell whether a file in /etc/console-setup is owned by
>> the package console-setup or it has been put there by the admin and is
>> unrelated to console-setup.
>
> Who cares?
>
> And most package maintainers have not bothered to implement such handling.

Well, at least «dpkg» cares about this and prints a warning for any
directory that is supposed to remove but it's not empty (some extra
files are there probably added by the Sysadmin or created by some
postinstall scripts).

Cheers




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Sat, 12 May 2012 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 12 May 2012 20:51:05 GMT) Full text and rfc822 format available.

Message #102 received at 672160@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Teodor MICU <mteodor@gmail.com>
Cc: Anton Zinoviev <anton@lml.bas.bg>, 672160@bugs.debian.org
Subject: Re: Bug#672160: Directory /boot/console-setup
Date: Sat, 12 May 2012 13:48:28 -0700
[Message part 1 (text/plain, inline)]
On Sat, May 12, 2012 at 11:13:28PM +0300, Teodor MICU wrote:
> 2012/5/12 Steve Langasek <vorlon@debian.org>:
> >> There is no way to tell whether a file in /etc/console-setup is owned by
> >> the package console-setup or it has been put there by the admin and is
> >> unrelated to console-setup.

> > Who cares?

> > And most package maintainers have not bothered to implement such handling.

> Well, at least «dpkg» cares about this and prints a warning for any
> directory that is supposed to remove but it's not empty

Which is appropriate because dpkg does not encode policy about how these
directories are used.  The console-setup package has no such constraint when
dealing with the /etc/console-setup directory.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Sun, 13 May 2012 00:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 13 May 2012 00:00:36 GMT) Full text and rfc822 format available.

Message #107 received at 672160@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: debian-devel@lists.debian.org, 672160@bugs.debian.org
Subject: Re: Directory /boot/console-setup
Date: Sun, 13 May 2012 01:57:26 +0200
Hi,

Anton Zinoviev wrote (12 May 2012 12:04:31 GMT) :
> Yves-Alexis Perez wrote on debian-devel:
>> 
>> What do you mean with “this doesn't work in Debian”? Some people do use
>> encrypted root and they do have a working console asking for the
>> passphrase.

> As far as I know currently the console works with default settings,
> meaning the keyboard is standard US-QWERTY layout.

Well, while this is currently true as far as testing/sid is concerned,
but this is actually a regression:

On Squeeze, one may happily use a non-US layout in the initramfs to
enter their encrypted root passphrase.

On Wheezy, this is currently broken, at least for fresh installs
(#619711).




Marked as found in versions console-setup/1.77. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 09:54:10 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.78. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 24 Jun 2012 21:48:04 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.79. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 01 Jul 2012 10:03:43 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.80. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 05 Jul 2012 10:00:19 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.81. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 27 Jul 2012 07:54:07 GMT) Full text and rfc822 format available.

Marked as found in versions 1.82/. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 15 Aug 2012 08:27:08 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.82. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 16 Aug 2012 08:57:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions 1.82/. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 18:34:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#672160; Package console-setup. (Fri, 21 Sep 2012 19:54:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 21 Sep 2012 19:54:39 GMT) Full text and rfc822 format available.

Message #128 received at 672160@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 672160@bugs.debian.org
Subject: Wrong versions fixed in bug 672160
Date: Fri, 21 Sep 2012 12:51:00 -0700
This bug (672160) had an incorrect found or fixed version which was
caused by 686106. I have removed the incorrect found or fixed version,
and added it back as a correct version. [This was the source of the
internal messages which you have received previously.]

If you have any questions, please contact owner@bugs.debian.org

Don Armstrong




Marked as found in versions console-setup/1.83. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 30 Sep 2012 21:42:09 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.84. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 01 Oct 2012 22:15:03 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.85. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 20 Oct 2012 09:45:08 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.86. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 21 Oct 2012 21:57:03 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.87. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 29 Oct 2012 10:33:10 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.88. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 14 Dec 2012 10:39:04 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.89. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 29 Dec 2012 23:45:07 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.90. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 02 Jan 2013 15:21:09 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.92. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 08 Jan 2013 11:00:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:30:26 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.93. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Tue, 14 May 2013 08:33:09 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.94. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 14 Jul 2013 10:06:05 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.95. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 24 Aug 2013 10:09:07 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.98. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Thu, 12 Sep 2013 21:33:12 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.99. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Mon, 16 Sep 2013 08:30:18 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.100. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 22 Sep 2013 22:21:18 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.102. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Wed, 16 Oct 2013 14:00:23 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.103. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Thu, 14 Nov 2013 08:27:08 GMT) Full text and rfc822 format available.

Marked as found in versions console-setup/1.104. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Tue, 17 Dec 2013 20:12:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:29:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.